#xs-menu-wrap {
  display: none;
}

.header-bars-wrap {
  cursor: pointer;
  position: relative;
  z-index: 99;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

/* Menu Items */
#xs-menu-wrap {

  position: absolute;
  background: #2C3E50;
  z-index: -1;
  right: -100%;
  top: 0;
  bottom: 0;
  overflow: hidden;
  padding: 30px;
  margin: 0;
  width: 500px;
  align-items: flex-end;
  align-content: center;
  flex-wrap: nowrap;
  flex-direction: column;
  justify-content: flex-start;
  height: 100vh;
  transition-duration: 500ms;
  display: flex;

  li {
    /* opacity: 0; */
    opacity: 1;
  }

  li.active {
    opacity: 1;
  }

  li:nth-of-type(1).active {
    transition-duration: 1000ms;
  }

  li:nth-of-type(2).active {
    transition-duration: 2000ms;
  }

  li:nth-of-type(3).active {
    transition-duration: 3000ms;
  }

  li:nth-of-type(4).active {
    transition-duration: 4000ms;
  }

}

#xs-menu-wrap.open {
  right: 0;
  z-index: 99999999;
}


/* Bar Items */
.bar1,
.bar2,
.bar3 {
  height: 4px;
  background-color: #fff;
  margin: 3px 0;
  transition: 0.4s;
  cursor: pointer;
  border-radius: 16px;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
}

.bar1 {
  width: 42px;
}

.bar2 {
  width: 30px;
}

.bar3 {
  width: 18px;
}

.bar1.change {
  -webkit-transform: rotate(-45deg) translate(-5px, 5px);
  transform: rotate(-45deg) translate(-5px, 5px);
  background: #fff;
  width: 35px;
}

.bar2.change {
  opacity: 0;
}

.bar3.change {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
  background: #fff;
  width: 35px;
}

/* Fa Items */
.header-xs-icons .fa {
  font-size: 26px;
}

.header-xs-icons a {
  color: var(--lLinkColour);
}

/* Menu Items */
ul#menu-xs {
  padding: 0px;
  margin: 0px;
  text-align: right;
}

#menu-xs li a {
  padding-top: 10px;
  padding-bottom: 10px;
  color: var(--textcolorPrimary);
  font-size: 22px;
  font-weight: 600;
  width: 100%;
  float: left;
  text-align: right;
}

#menu-xs li {
  position: relative;
  display: block;
  z-index: 9;
  width: 100%;
  float: left;
  text-align: right;
}

#menu-xs {
  list-style: none;
  text-align: right;
  float: none;
  margin: auto;
  display: block;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-evenly;
}

#menu-xs li a:focus,
#menu-xs li a:hover,
#menu-xs li.active a {
  text-decoration: none;
  background-color: transparent;
  color: var(--hoverColour);
}

/* Misc Items */
.disable-scroll {
  overflow: hidden;
}

.fa-xs-phone {
  margin: 0 15px 0 10px;
}

.menu-col-end {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

@media (max-width: 576px) {
  #xs-menu-wrap {
    width: 90%;
  }
}